Name: joe
Version: 2.9.8
%define tar_version 2.9.8-pre1
Release: alt0.2pre1

Summary: An easy to use modeless text editor
License: GPL
Group: Editors
Url: http://sourceforge.net/projects/joe-editor/

Source: http://unc.dl.sourceforge.net/sourceforge/joe-editor/%name-%tar_version.tgz
Source1: %{name}_icons.tar.bz2

Patch: joe-2.9.8-pre1-alt-asis.patch

# Automatically added by buildreq on Fri Jan 24 2003
BuildRequires: libncurses-devel libtinfo-devel

%description
Joe is an easy to use, modeless text editor which would be very
appropriate for novices.  Joe uses the same WordStar keybindings
used in Borland's development environment.

You should install %name if you've used it before and you liked it, or if
you're still deciding what text editor you'd like to use, or if you have a
fondness for WordStar.  If you're just starting out, you should probably
install %name because it is very easy to use.

%prep
%setup -q -a1 -n %name-%tar_version
%patch -p1

%build
%configure --sysconfdir=%_sysconfdir/%name
%make_build

%install
%makeinstall sysconfdir=$RPM_BUILD_ROOT%_sysconfdir/%name transform=''

# This is automatically compressed afterwards...
(cd $RPM_BUILD_ROOT%_man1dir
ln -s joe.1 jmacs.1
ln -s joe.1 jpico.1
ln -s joe.1 jstar.1
ln -s joe.1 rjoe.1
)

%__mkdir_p $RPM_BUILD_ROOT%_libdir/menu
cat << EOF > $RPM_BUILD_ROOT%_libdir/menu/%name
?package(%name):\
	needs="text"\
	section="Applications/Editors"\
	title="Joe"\
	longtitle="Joe - a text ANSI editor"\
	command="%_bindir/joe"\
	icon=joe.xpm
EOF

install -pD -m644 %{name}_16.xpm $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -pD -m644 %{name}_32.xpm $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -pD -m644 %{name}_48.xpm $RPM_BUILD_ROOT%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%config(noreplace) %_sysconfdir/%name
%_mandir/man?/*
%_menudir/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%doc README TODO INFO

%changelog
* Fri Jan 24 2003 Dmitry V. Levin <ldv@altlinux.org> 2.9.8-alt0.2pre1
- Rebuilt in new environment.

* Fri May 31 2002 Victor Forsyuk <force@altlinux.ru> 2.9.8-alt0.1pre1
- 2.9.8pre1
- Added license file to docs.
- Added patch enabling -asis by default.

* Mon Oct 15 2001 Stanislav Ievlev <inger@altlinux.ru> 2.9.6-alt1
- 2.9.6

* Sat Mar 10 2001 Dmitry V. Levin <ldv@fandra.org> 2.8-ipl23mdk
- Security fix: don't use .joerc, only ~/.joerc and /etc/joe/joerc.

* Fri Dec 01 2000 Dmitry V. Levin <ldv@fandra.org> 2.8-ipl22mdk
- RE adaptions.

* Wed Nov 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.8-22mdk
- security fix: don't blindly write to DEADJOE, unlink and create it safely first.

* Mon Sep 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.8-21mdk
- sync with latest RedHat patches (procrc)
- removed patch7 (included into joe-resize2.patch) and patch10
  (same things into joe-vfile.patch).

* Mon Sep 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.8-20mdk
- fixed a typo in menu.
- included macro and BM fixes to SPEC file from Stefan van der
  Eijk <s.vandereijk@chello.nl>.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.8-19mdk
- automatically added BuildRequires

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 2.8-18mdk
- add three size of icons

* Thu Apr 13 2000 Vincent Saugey <vince@mandrakesoft.com> 2.8-17mdk
- Add menu entry
- Corrected group
- Remove strip and bzip2 in spec file

* Fri Feb 04 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- merged with Bero's patch from Has de Goede <hans@highrise.nl> to fix the
  End Key.

* Fri Jan 28 2000 Francis Galiegue <francis@mandrakesoft.com> 2.8-15mdk
- Added missing %defattr() in %files section.

* Sat Dec 18 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- merged with latest Chris Gafton <gafton@redhat.com> patches
  (joe-2.8-security and joe-2.8-deadjoe).
- finally fixed a bug causing segfault on big files with short
  name (joe-2.8-vsmk).

* Thu Dec 02 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Build release for Oxygen
- fix sucks on locale patch where -p1 delete the _filename_ ...

* Wed Aug 26 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed a bug causing segfault on long filenames.

* Fri Jun 04 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- added patch to get joe working on terminals supporting
  ti/te entries.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- added locale patch from  Petr Kolar <PETR.KOLAR@vslib.cz>
  (yeah, finally!)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 17)

* Wed Jan 20 1999 Alex deVries <puffin@redhat.com>
- added mipseb support

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Sep 15 1998 Cristian Gafton <gafton@redhat.com>
- built with Alan's -port patch

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- enable -asis in the config files so international keyboards will be better
  supported

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- /usr/lib/joe/* are config files

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- manhattan build

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- fixed termcap problems for terms other than 80x25
- added support for buildroot and BuildRoot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
